package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetStringParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1StreamParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.BERConstructedOctetString;
import com.jxdinfo.hussar.core.bouncycastle.asn1.CoN;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.util.io.Streams;
import java.io.IOException;
import java.io.InputStream;

public class BEROctetStringParser implements ASN1OctetStringParser {
  private ASN1StreamParser instanceof;
  
  public DERObject getLoadedObject() throws IOException {
    return (DERObject)new BERConstructedOctetString(Streams.readAll(getOctetStream()));
  }
  
  public DERObject getDERObject() {
    return getLoadedObject();
  }
  
  BEROctetStringParser(ASN1StreamParser aSN1StreamParser) {
    this.instanceof = aSN1StreamParser;
  }
  
  public InputStream getOctetStream() {
    return (InputStream)new CoN(this.instanceof);
  }
}
